%global forgeurl https://github.com/libimobiledevice/libimobiledevice
%global commit 6fc41f57fc607df9b07446ca45bdf754225c9bd9
%global date 20230705
%{?commit:%global shortcommit %(c=%{commit}; echo ${c:0:7})}

Summary:        Library for connecting to mobile devices
Name:           libimobiledevice
Version:        1.3.0^%{date}git%{shortcommit}
Release:        1%{?dist}
License:        LGPL-2.0-or-later
URL:            https://www.libimobiledevice.org/
Source0:        %{forgeurl}/archive/%{commit}/%{name}-%{commit}.tar.gz
BuildRequires:  autoconf, automake, gcc, libtool, make
BuildRequires:  glib2-devel, openssl-devel
BuildRequires:  libgcrypt-devel, libimobiledevice-glue-devel, libplist-devel
BuildRequires:  libtasn1-devel, libusbmuxd-devel, libusbx-devel
BuildRequires:  libxml2-devel, readline-devel

%description
libimobiledevice is a library for connecting to mobile devices including phones 
and music players

%package        devel
Summary:        Development package for libimobiledevice
Requires:       %{name} = %{version}-%{release}

%description    devel
Files for development with libimobiledevice.

%package        utils
Summary:        Utilites for libimobiledevice
Requires:       %{name} = %{version}-%{release}

%description    utils
Utilites for use with libimobiledevice.

%prep
%autosetup -p1 -n %{name}-%{commit}

%if %{defined commit}
echo %{version} > .tarball-version
%endif

%build
NOCONFIGURE=1 ./autogen.sh
%configure --disable-static --without-cython
%make_build

%install
%make_install

find %{buildroot} -type f -name "*.la" -delete

%files
%license COPYING.LESSER
%doc AUTHORS README.md
%{_libdir}/libimobiledevice-1.0.so.6*

%files utils
%doc %{_datadir}/man/man1/idevice*.1*
%{_bindir}/idevice*

%files devel
%{_libdir}/pkgconfig/libimobiledevice-1.0.pc
%{_libdir}/libimobiledevice-1.0.so
%{_includedir}/libimobiledevice/

%changelog
* Wed Nov 22 2023 Chair <chairou@tencent.com> - 1.3.0^20230705git6fc41f5-1
- Init
